-- Druid

local BUFF = true
local DEBUFF = false
local p = Raven.ColorPalette

Raven.classSpells.DRUID = {
	{ "Abolish Poison", BUFF, p.Green1 },
	{ "Barkskin", BUFF, p.Brown1, cooldown = true, school = "Nature" },
	{ "Bash", DEBUFF, p.Cyan, cooldown = true, school = "Physical" },
	{ "Berserk", BUFF, p.Orange3, cooldown = true, school = "Physical" },
	{ "Challenging Roar", nil, p.Orange1, cooldown = true, school = "Physical" },
	{ "Clearcasting", BUFF, p.Blue2 },
	{ "Cower", nil, p.Yellow1, cooldown = true, school = "Physical" },
	{ "Cyclone", DEBUFF, p.Gray },
	{ "Dash", nil, p.Green2, cooldown = true, school = "Physical" },
	{ "Demoralizing Roar", DEBUFF, p.Brown3 },
	{ "Eclipse (Lunar)", BUFF, p.Blue2, cooldown = true, school = "Physical" },
	{ "Eclipse (Solar)", BUFF, p.Brown2, cooldown = true, school = "Physical" },
	{ "Enrage", BUFF, p.Red2, cooldown = true, school = "Physical" },
	{ "Entangling Roots", DEBUFF, p.Brown3 },
	{ "Faerie Fire", DEBUFF, p.Pink, },
	{ "Faerie Fire (Feral)", DEBUFF, p.Pink, cooldown = true, school = "Nature" },
	{ "Feral Charge - Bear", DEBUFF, p.Gray, cooldown = true, school = "Physical" },
	{ "Feral Charge - Cat", DEBUFF, p.Gray, cooldown = true, school = "Physical" },
	{ "Ferocious Bite", nil, p.Orange3 },
	{ "Force of Nature", BUFF, p.Green1, cooldown = true, school = "Nature" },
	{ "Frenzied Regeneration", BUFF, p.Green3, cooldown = true, school = "Physical" },
	{ "Gift of the Wild", BUFF, p.Pink, },
	{ "Growl", nil, p.Orange2, cooldown = true, school = "Physical" },
	{ "Healing Touch", nil, p.Green1, school = "Nature", lockout = true },
	{ "Hibernate", DEBUFF, p.Purple2 },
	{ "Hurricane", nil, p.Purple2, school = "Nature" },
	{ "Infected Wounds", DEBUFF, p.Purple1 },
	{ "Innervate", BUFF, p.Blue1, cooldown = true, school = "Nature" },
	{ "Insect Swarm", DEBUFF, p.Brown1 },
	{ "Lacerate", DEBUFF, p.Purple3, },
	{ "Leader of the Pack", BUFF, p.Orange2, },
	{ "Lifebloom", BUFF, p.Green2 },
	{ "Maim", DEBUFF, p.Brown2, cooldown = true, school = "Physical" },
	{ "Mangle (Bear)", DEBUFF, p.Red3, cooldown = true, school = "Physical" },
	{ "Mangle (Cat)", DEBUFF, p.Red3, },
	{ "Mark of the Wild", BUFF, p.Pink, },
	{ "Master Shapeshifter", BUFF, p.Orange2, },
	{ "Moonfire", DEBUFF, p.Cyan, },
	{ "Moonkin Aura", BUFF, p.Purple1 },
	{ "Nature's Grace", BUFF, p.Brown1 },
	{ "Nature's Grasp", BUFF, p.Brown3, cooldown = true, school = "Nature" },
	{ "Nature's Swiftness", nil, p.Blue3, cooldown = true, school = "Physical" },
	{ "Owlkin Frenzy", BUFF, p.Yellow3 },
	{ "Pounce Bleed", DEBUFF, p.Brown1 },
	{ "Prowl", BUFF, p.Purple2, cooldown = true, school = "Physical" },
	{ "Savage Roar", BUFF, p.Green3, },
	{ "Shred", nil, p.Yellow2, },
	{ "Soothe Animal", DEBUFF, p.Purple2 },
	{ "Starfall", BUFF, p.Purple3, cooldown = true, school = "Arcane" },
	{ "Starfire Stun", DEBUFF, p.Purple3 },
	{ "Survival Instincts", BUFF, p.Gray, cooldown = true, school = "Physical" },
	{ "Swiftmend", nil, p.Blue3, cooldown = true, school = "Nature" },
	{ "Swipe (Bear)", nil, p.Yellow3 },
	{ "Swipe (Cat)", nil, p.Yellow3 },
	{ "Rake", DEBUFF, p.Purple3, },
	{ "Rebirth", nil, p.Purple3, cooldown = true, school = "Nature" },
	{ "Regrowth", BUFF, p.Green3 },
	{ "Rejuvenation", BUFF, p.Green1 },
	{ "Rip", DEBUFF, p.Blue3, },
	{ "Thorns", BUFF, p.Brown2, },
	{ "Tiger's Fury", BUFF, p.Green1, cooldown = true, school = "Physical" },
	{ "Tranquility", nil, p.Purple2, cooldown = true, school = "Nature" },
	{ "Typhoon", nil, p.Purple1, cooldown = true, school = "Nature" },
	{ "Wild Growth", BUFF, p.Blue2, cooldown = true, school = "Nature" },
	{ "Cat Form", BUFF, p.Cyan, },
	{ "Bear Form", BUFF, p.Cyan, school = "Physical", lockout = true },
	{ "Dire Bear Form", BUFF, p.Cyan, },
	{ "Tree of Life", BUFF, p.Cyan, },
	{ "Moonkin Form", BUFF, p.Cyan, },
	{ "Aquatic Form", BUFF, p.Cyan, },
	{ "Travel Form", BUFF, p.Cyan, },
	{ "Flight Form", BUFF, p.Cyan, },
	{ "Swift Flight Form", BUFF, p.Cyan, },
}

Raven.classConditions.DRUID = {
	["Mark of the Wild Missing"] = {
		name = "Mark of the Wild Missing", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, isMounted = false },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player", auras = { "Mark of the Wild", "Gift of the Wild" }, },
		},
		associatedSpell = "Mark of the Wild",
	},
	["Thorns Missing"] = {
		name = "Thorns Missing", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, isMounted = false },
			["Spell Ready"] = { enable = true, spell = "Thorns" },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player", auras = { "Thorns" }, },
		},	
		associatedSpell = "Thorns",
	},
	["Cure Poison"] = {	
		name = "Cure Poison", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, checkLevel = true, level = 14, },
			["Debuff Type"] = { enable = true, unit = "player", hasDebuff = "Poison", },
		},	
		associatedSpell = "Cure Poison",
	},
	["Remove Curse"] = {	
		name = "Remove Curse", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, checkLevel = true, level = 26, },
			["Debuff Type"] = { enable = true, unit = "player", hasDebuff = "Curse", },
		},	
		associatedSpell = "Remove Curse",
	},
}
