﻿-- Hunter

local BUFF = true
local DEBUFF = false
local p = Raven.ColorPalette

Raven.classSpells.HUNTER = {
	{ "Aimed Shot", DEBUFF, p.Blue3, cooldown = true, school = "Physical" },
	{ "Aspect of the Beast", BUFF, p.Pink },
	{ "Aspect of the Cheetah", BUFF, p.Yellow1 },
	{ "Aspect of the Dragonhawk", BUFF, p.Blue3 },
	{ "Aspect of the Hawk", BUFF, p.Blue2 },
	{ "Aspect of the Monkey", BUFF, p.Brown3 },
	{ "Aspect of the Pack", BUFF, p.Gray },
	{ "Aspect of the Viper", BUFF, p.Purple3 },
	{ "Aspect of the Wild", BUFF, p.Green1 },
	{ "Bestial Wrath", BUFF, p.Red1, cooldown = true, school = "Physical" },
	{ "Black Arrow", DEBUFF, p.Purple3, cooldown = true, school = "Physical" },
	{ "Call Stabled Pet", nil, p.Gray, cooldown = true, school = "Physical" },
	{ "Chimera Shot", BUFF, p.Purple2, cooldown = true, school = "Nature" },
	{ "Concussive Barrage", DEBUFF, p.Cyan },
	{ "Concussive Shot", DEBUFF, p.Cyan, cooldown = true, school = "Arcane" },
	{ "Counterattack", DEBUFF, p.Orange3, cooldown = true, school = "Physical" },
	{ "Deterrence", BUFF, p.Cyan, cooldown = true, school = "Physical" },
	{ "Disengage", nil, p.Purple3, cooldown = true, school = "Physical" },
	{ "Distracting Shot", DEBUFF, p.Purple2, cooldown = true, school = "Arcane" },
	{ "Eagle Eye", BUFF, p.Cyan },
	{ "Entrapment", DEBUFF, p.Yellow2, cooldown = true, school = "Physical" },
	{ "Explosive Shot", DEBUFF, p.Yellow1, cooldown = true, school = "Fire" },
	{ "Explosive Trap", nil, p.Orange2, cooldown = true, school = "Fire" },
	{ "Explosive Trap Effect", DEBUFF, p.Orange2 },
	{ "Expose Weakness", BUFF, p.Green3 },
	{ "Eyes of the Beast", BUFF, p.Gray },
	{ "Feed Pet", nil, p.Brown1, cooldown = true, school = "Physical" },
	{ "Feed Pet Effect", BUFF, p.Brown1 },
	{ "Feign Death", BUFF, p.Green3, cooldown = true, school = "Physical" },
	{ "Ferocious Inspiration", BUFF, p.Pink },
	{ "Flare", DEBUFF, p.Orange2, cooldown = true, school = "Arcane" },
	{ "Freezing Arrow", nil, p.Purple3, cooldown = true, school = "Frost" },
	{ "Freezing Arrow Effect", DEBUFF, p.Purple3 },
	{ "Freezing Trap", nil, p.Purple3, cooldown = true, school = "Frost" },
	{ "Freezing Trap Effect", DEBUFF, p.Purple3 },
	{ "Frenzy Effect", BUFF, p.Orange2 },
	{ "Frost Trap", nil, p.Blue3, cooldown = true, school = "Frost" },
	{ "Frost Trap Aura", DEBUFF, p.Blue3 },
	{ "Go for the Throat", BUFF, p.Orange3 },
	{ "Hunter's Mark", DEBUFF, p.Red1 },
	{ "Immolation Trap", nil, p.Orange1, cooldown = true, school = "Fire" },
	{ "Immolation Trap Effect", DEBUFF, p.Orange1 },
	{ "Improved Steady Shot", BUFF, p.Yellow1 },
	{ "Intimidation", BUFF, p.Brown3, cooldown = true, school = "Physical" },
	{ "Kill Command", nil, p.Orange3, cooldown = true, school = "Physical" },
	{ "Kill Shot", nil, p.Red1, cooldown = true, school = "Physical" },
	{ "Kindred Spirits", BUFF, p.Red2 },
	{ "Lock and Load", BUFF, p.Red3 },
	{ "Master Tactician", BUFF, p.Purple3 },
	{ "Master's Call", nil, p.Yellow2, cooldown = true, school = "Physical" },
	{ "Misdirection", BUFF, p.Cyan, cooldown = true, school = "Physical" },
	{ "Mongoose Bite", nil, p.Red3, cooldown = true, school = "Physical" },
	{ "Multi-Shot", nil, p.Purple3, cooldown = true, school = "Physical" },
	{ "Quick Shots", BUFF, p.Orange3 },
	{ "Rapid Fire", BUFF, p.Red2, cooldown = true, school = "Physical" },
	{ "Rapid Killing", BUFF, p.Red3 },
	{ "Raptor Strike", nil, p.Gray, cooldown = true, school = "Physical" },
	{ "Replenishment", BUFF, p.Blue1 },
	{ "Roar of Recovery", BUFF, p.Brown2 },
	{ "Roar of Sacrifice", BUFF, p.Brown3 },
	{ "Scare Beast", DEBUFF, p.Blue2, cooldown = true, school = "Physical" },
	{ "Scatter Shot", DEBUFF, p.Gray, cooldown = true, school = "Physical" },
	{ "Scorpid Sting", DEBUFF, p.Green2 },
	{ "Serpent Sting", DEBUFF, p.Brown3 },
	{ "Silencing Shot", DEBUFF, p.Purple3, cooldown = true, school = "Physical" },
	{ "Snake Trap", nil, p.Brown1, cooldown = true, school = "Fire" },
	{ "Sniper Training", BUFF, p.Blue3 },
	{ "Spirit Bond", BUFF, p.Brown1 },
	{ "Tame Beast", BUFF, p.Green1 },
	{ "The Beast Within", BUFF, p.Brown3 },
	{ "Tranquilizing Shot", nil, p.Purple3, cooldown = true, school = "Nature" },
	{ "Trueshot Aura", BUFF, p.Brown3 },
	{ "Viper Sting", DEBUFF, p.Purple3, cooldown = true, school = "Nature" },
	{ "Volley", BUFF, p.Red2 },
	{ "Wild Quiver Auto Shot", BUFF, p.Blue3 },
	{ "Wing Clip", DEBUFF, p.Yellow3 },
	{ "Wyvern Sting", DEBUFF, p.Green2, cooldown = true, school = "Nature" },
}

Raven.classConditions.HUNTER = {
	["Change Aspect"] = {
		name = "Change Aspect", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, inCombat = true, checkLevel = true, level = 16, },
			["Any Buffs"] = { enable = true, toggle = false, unit = "player", auras = { "Aspect of the Pack", "Aspect of the Cheetah" }, },
		},	
		associatedSpell = "Aspect of the Pack",
	},
	["Check Aspect"] = {
		name = "Check Aspect", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, inCombat = true, checkPower = true, minPower = 90, checkLevel = true, level = 20, },
			["Any Buffs"] = { enable = true, toggle = false, unit = "player", auras = { "Aspect of the Viper" }, },
		},	
	},
	["Low Mana!"] = {
		name = "Low Mana!", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, inCombat = true, checkPower = false, minPower = 10, checkLevel = true, level = 20, },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player", auras = { "Aspect of the Viper" }, },
		},	
	},
	["Aspect Missing"] = {
		name = "Aspect Missing", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, isMounted = false, checkLevel = true, level = 4, },
			["Spell Ready"] = { enable = true, spell = "Aspect of the Monkey" },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player",
				auras = { "Aspect of the Beast", "Aspect of the Cheetah", "Aspect of the Dragonhawk", "Aspect of the Hawk",
				"Aspect of the Monkey", "Aspect of the Pack", "Aspect of the Viper", "Aspect of the Wild" }, },
		},	
	},
	["Trueshot Aura Missing"] = {
		name = "Trueshot Aura Missing", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, isMounted = false, checkLevel = true, level = 40, },
			["Spell Ready"] = { enable = true, spell = "Trueshot Aura" },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player", auras = { "Trueshot Aura" }, },
		},	
		associatedSpell = "Trueshot Aura",
	},
}
