﻿-- Mage

local BUFF = true
local DEBUFF = false
local p = Raven.ColorPalette

Raven.classSpells.MAGE = {
	{ "Amplify Magic", BUFF, p.Yellow1, },
	{ "Arcane Barrage", nil, p.Blue1, cooldown = true, school = "Arcane" },
	{ "Arcane Blast", BUFF, p.Purple3, school = "Arcane" },
	{ "Arcane Brilliance", BUFF, p.Cyan, },
	{ "Arcane Empowerment", BUFF, p.Purple1, },
	{ "Arcane Intellect", BUFF, p.Cyan, },
	{ "Arcane Missiles", nil, p.Blue1, school = "Arcane", lockout = true },
	{ "Arcane Power", BUFF, p.Blue2, cooldown = true, school = "Arcane" },
	{ "Blast Wave", DEBUFF, p.Orange2, cooldown = true, school = "Fire" },
	{ "Blazing Speed", BUFF, p.Orange2 },
	{ "Blink", nil, p.Purple3, cooldown = true, school = "Arcane" },
	{ "Burning Determination", BUFF, p.Red1 },
	{ "Clearcasting", BUFF, p.Blue2 },
	{ "Cold Snap", nil, p.Blue2, cooldown = true, school = "Frost" },
	{ "Combustion", BUFF, p.Yellow3, cooldown = true, school = "Fire" },
	{ "Cone of Cold", DEBUFF, p.Cyan, cooldown = true, school = "Frost" },
	{ "Counterspell", nil, p.Purple1, cooldown = true, school = "Arcane" },
	{ "Dalaran Brilliance", BUFF, p.Purple2, },
	{ "Dalaran Intellect", BUFF, p.Yellow3, },
	{ "Dampen Magic", BUFF, p.Green3, },
	{ "Deep Freeze", DEBUFF, p.Cyan, cooldown = true, school = "Frost" },
	{ "Dragon's Breath", DEBUFF, p.Orange1, cooldown = true, school = "Fire" },
	{ "Evocation", BUFF, p.Purple2, cooldown = true, school = "Arcane" },
	{ "Fingers of Frost", BUFF, p.Blue1, },
	{ "Fire Blast", nil, p.Red3, cooldown = true, school = "Fire" },
	{ "Fire Vulnerability", DEBUFF, p.Red3 },
	{ "Fire Ward", BUFF, p.Orange3, cooldown = true, school = "Fire" },
	{ "Fireball", DEBUFF, p.Orange2, school = "Fire", lockout = true },
	{ "Fireball!", BUFF, p.Purple3 },
	{ "Firestarter", BUFF, p.Orange2 },
	{ "Flamestrike", DEBUFF, p.Orange1 },
	{ "Focus Magic", BUFF, p.Cyan },
	{ "Frost Armor", BUFF, p.Blue1, },
	{ "Frost Nova", DEBUFF, p.Blue2, cooldown = true, school = "Frost" },
	{ "Frost Ward", BUFF, p.Cyan, cooldown = true, school = "Frost" },
	{ "Frostbite", DEBUFF, p.Cyan },
	{ "Frostbolt", DEBUFF, p.Purple3, school = "Frost", lockout = true },
	{ "Frostfire Bolt", DEBUFF, p.Yellow3 },
	{ "Hot Streak", BUFF, p.Brown3 },
	{ "Ice Armor", BUFF, p.Blue1, },
	{ "Ice Barrier", BUFF, p.Green3, cooldown = true, school = "Frost" },
	{ "Ice Block", BUFF, p.Blue2, cooldown = true, school = "Frost" },
	{ "Icy Veins", BUFF, p.Blue1, cooldown = true, school = "Frost" },
	{ "Ignite", DEBUFF, p.Red2 },
	{ "Impact", BUFF, p.Brown1 },
	{ "Improved Scorch", DEBUFF, p.Orange3 },
	{ "Incanter's Absorption", BUFF, p.Brown1 },
	{ "Invisibility", BUFF, p.Blue3, cooldown = true, school = "Arcane" },
	{ "Living Bomb", DEBUFF, p.Red3 },
	{ "Mage Armor", BUFF, p.Blue1, },
	{ "Mana Shield", BUFF, p.Green3, },
	{ "Mirror Image", BUFF, p.Blue1, cooldown = true, school = "Arcane" },
	{ "Missile Barrage", BUFF, p.Pink },
	{ "Molten Armor", BUFF, p.Orange2 },
	{ "Polymorph", DEBUFF, p.Gray },
	{ "Portal: Dalaran", nil, p.Blue1, cooldown = true, school = "Arcane" },
	{ "Portal: Darnassus", nil, p.Blue1, cooldown = true, school = "Arcane" },
	{ "Portal: Exodar", nil, p.Blue1, cooldown = true, school = "Arcane" },
	{ "Portal: Ironforge", nil, p.Blue1, cooldown = true, school = "Arcane" },
	{ "Portal: Orgrimmar", nil, p.Blue1, cooldown = true, school = "Arcane" },
	{ "Portal: Shattrath", nil, p.Blue1, cooldown = true, school = "Arcane" },
	{ "Portal: Silvermoon", nil, p.Blue1, cooldown = true, school = "Arcane" },
	{ "Portal: Stonard", nil, p.Blue1, cooldown = true, school = "Arcane" },
	{ "Portal: Stormwind", nil, p.Blue1, cooldown = true, school = "Arcane" },
	{ "Portal: Theramore", nil, p.Blue1, cooldown = true, school = "Arcane" },
	{ "Portal: Thunder Bluff", nil, p.Blue1, cooldown = true, school = "Arcane" },
	{ "Portal: Undercity", nil, p.Blue1, cooldown = true, school = "Arcane" },
	{ "Presence of Mind", BUFF, p.Gray, cooldown = true, school = "Arcane" },
	{ "Pyroblast", DEBUFF, p.Orange2 },
	{ "Replenishment", BUFF, p.Blue1 },
	{ "Ritual of Refreshment", nil, p.Purple3, cooldown = true, school = "Arcane" },
	{ "Silenced - Improved Counterspell", DEBUFF, p.Purple2 },
	{ "Slow", DEBUFF, p.Yellow2 },
	{ "Slow Fall", BUFF, p.Pink },
	{ "Summon Water Elemental", nil, p.Green2, cooldown = true, school = "Frost" },
	{ "Winter's Chill", DEBUFF, p.Blue3 },
}

Raven.classConditions.MAGE = {
	["Armor Missing"] = {
		name = "Armor Missing", enabled = true, notify = true,
		tests = {
			["Spell Ready"] = { enable = true, spell = "Frost Armor" },
			["Any Buffs"] = { enable = true, toggle = true, isMine = true, unit = "player", auras = { "Frost Armor", "Ice Armor", "Mage Armor", "Molten Armor" }, },
		},	
		associatedSpell = "Frost Armor",
	},
	["Intellect Buff Missing"] = {	
		name = "Intellect Buff Missing", enabled = true, notify = true,
		tests = {
			["Spell Ready"] = { enable = true, spell = "Arcane Intellect" },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player", auras = { "Arcane Intellect", "Arcane Brilliance", "Dalaran Intellect", "Dalaran Brilliance" }, },
		},	
		associatedSpell = "Arcane Intellect",
	},
	["Remove Curse"] = {	
		name = "Remove Curse", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, checkLevel = true, level = 22, },
			["Debuff Type"] = { enable = true, unit = "player", hasDebuff = "Curse", },
		},	
		associatedSpell = "Remove Curse",
	},
}
