-- Paladin

local BUFF = true
local DEBUFF = false
local p = Raven.ColorPalette

Raven.classSpells.PALADIN = {
	{ "Aura Mastery", BUFF, p.Orange1, cooldown = true, school = "Physical" },
	{ "Avenger's Shield", DEBUFF, p.Orange2, cooldown = true, school = "Holy" },
	{ "Avenging Wrath", BUFF, p.Yellow1, cooldown = true, school = "Holy" },
	{ "Beacon of Light", BUFF, p.Yellow1 },
	{ "Blessing of Kings", BUFF, p.Blue1 },
	{ "Blessing of Might", BUFF, p.Blue1 },
	{ "Blessing of Sanctuary", BUFF, p.Blue1 },
	{ "Blessing of Wisdom", BUFF, p.Blue1 },
	{ "Concentration Aura", BUFF, p.Purple1 },
	{ "Consecration", DEBUFF, p.Yellow1, cooldown = true, school = "Holy" },
	{ "Crusader Aura", BUFF, p.Yellow1 },	
	{ "Crusader Strike", nil, p.Yellow2, cooldown = true, school = "Physical" },
	{ "Crusader's Command", BUFF, p.Cyan },
	{ "Devotion Aura", BUFF, p.Blue1 },
	{ "Divine Favor", nil, p.Yellow2, cooldown = true, school = "Holy" },
	{ "Divine Illumination", BUFF, p.Yellow3, cooldown = true, school = "Holy" },
	{ "Divine Intervention", nil, p.Orange1, cooldown = true, school = "Holy" },
	{ "Divine Plea", BUFF, p.Yellow3, cooldown = true, school = "Holy" },
	{ "Divine Protection", BUFF, p.Yellow1, cooldown = true, school = "Holy" },
	{ "Divine Shield", BUFF, p.Yellow1, cooldown = true, school = "Holy" },
	{ "Divine Storm", nil, p.Yellow3, cooldown = true, school = "Physical" },
	{ "Exorcism", nil, p.Orange2, cooldown = true, school = "Holy" },
	{ "Fire Resistance Aura", BUFF, p.Orange1 },
	{ "Frost Resistance Aura", BUFF, p.Blue2 },
	{ "Greater Blessing of Kings", BUFF, p.Blue1 },
	{ "Greater Blessing of Might", BUFF, p.Blue1 },
	{ "Greater Blessing of Sanctuary", BUFF, p.Blue1 },
	{ "Greater Blessing of Wisdom", BUFF, p.Blue1 },
	{ "Hammer of Justice", DEBUFF, p.Cyan, cooldown = true, school = "Holy" },
	{ "Hammer of the Righteous", nil, p.Yellow1, cooldown = true, school = "Holy" },
	{ "Hammer of Wrath", nil, p.Green3, cooldown = true, school = "Holy" },
	{ "Hand of Reckoning", DEBUFF, p.Yellow3, cooldown = true, school = "Holy" },
	{ "Hand of Freedom", BUFF, p.Green1, cooldown = true, school = "Holy" },
	{ "Hand of Protection", BUFF, p.Green1, cooldown = true, school = "Holy" },
	{ "Hand of Sacrifice", BUFF, p.Green1, cooldown = true, school = "Holy" },
	{ "Hand of Salvation", BUFF, p.Green1, cooldown = true, school = "Holy" },
	{ "Heart of the Crusader", DEBUFF, p.Red2 },
	{ "Holy Light", nil, p.Yellow1, school = "Holy", lockout = true },
	{ "Holy Shield", BUFF, p.Yellow2, cooldown = true, school = "Holy" },
	{ "Holy Shock", nil, p.Orange2, cooldown = true, school = "Holy" },
	{ "Holy Wrath", nil, p.Orange3, cooldown = true, school = "Holy" },
	{ "Infusion of Light", BUFF, p.Yellow3 },
	{ "Judgement of Justice", DEBUFF, p.Red3, cooldown = true, school = "Holy" },
	{ "Judgement of Light", DEBUFF, p.Yellow3, cooldown = true, school = "Holy" },
	{ "Judgements of the Pure", BUFF, p.Green3 },
	{ "Judgement of Wisdom", DEBUFF, p.Blue3, cooldown = true, school = "Holy" },
	{ "Lay on Hands", nil, p.Gray, cooldown = true, school = "Holy" },
	{ "Light's Beacon", BUFF, p.Yellow1 },
	{ "Light's Grace", BUFF, p.Yellow2 },
	{ "Reckoning", BUFF, p.Orange1 },
	{ "Repentance", DEBUFF, p.Brown2, cooldown = true, school = "Holy" },
	{ "Replenishment", BUFF, p.Blue1 },
	{ "Retribution Aura", BUFF, p.Purple2 },
	{ "Righteous Defense", nil, p.Brown2, cooldown = true, school = "Holy" },
	{ "Righteous Fury", BUFF, p.Red1 },
	{ "Righteous Vengeance", DEBUFF, p.Red3 },
	{ "Sacred Shield", BUFF, p.Red2 },
	{ "Seal of Command", BUFF, p.Red1 },
	{ "Seal of Justice", BUFF, p.Red1 },
	{ "Seal of Light", BUFF, p.Red1 },
	{ "Seal of Righteousness", BUFF, p.Red1 },
	{ "Seal of Vengeance", BUFF, p.Red1 },
	{ "Seal of Corruption", BUFF, p.Red1 },
	{ "Seal of Wisdom", BUFF, p.Red1 },
	{ "Shadow Resistance Aura", BUFF, p.Purple3 },
	{ "Sheath of Light", BUFF, p.Yellow1 },
	{ "Shield of Righteousness", nil, p.Yellow1, cooldown = true, school = "Holy" },
	{ "Redoubt", BUFF, p.Orange2 },
	{ "Replenishment", BUFF, p.Blue2 },
	{ "The Art of War", BUFF, p.Green2 },
	{ "Turn Evil", DEBUFF, p.Brown3, school = "Holy" },
	{ "Vengeance", BUFF, p.Orange3 },
	{ "Vindication", DEBUFF, p.Brown2 },
}

Raven.classConditions.PALADIN = {
	["Cleanse Poison"] = {	
		name = "Cleanse Poison", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, checkLevel = true, level = 8, },
			["Debuff Type"] = { enable = true, unit = "player", hasDebuff = "Poison", },
		},	
		associatedSpell = "Cleanse",
	},
	["Cleanse Disease"] = {	
		name = "Cleanse Disease", enabled = true, notify = true,
		tests = {
			["Player Status"] = { checkLevel = true, level = 8, },
			["Debuff Type"] = { enable = true, unit = "player", hasDebuff = "Disease", },
		},	
		associatedSpell = "Cleanse",
	},
	["Cleanse Magic"] = {	
		name = "Cleanse Magic", enabled = true, notify = true,
		tests = {
			["Player Status"] = { checkLevel = true, level = 42, },
			["Debuff Type"] = { enable = true, unit = "player", hasDebuff = "Magic", },
		},	
		associatedSpell = "Cleanse",
	},
	["Aura Missing"] = {
		name = "Aura Missing", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, isMounted = false },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player",
				auras = { "Concentration Aura", "Crusader Aura", "Devotion Aura", "Fire Resistance Aura",
					"Frost Resistance Aura", "Shadow Resistance Aura", "Retribution Aura" }, },
		},	
	},
	["Blessing Missing"] = {
		name = "Blessing Missing", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, checkLevel = true, level = 4, isMounted = false, },
			["Spell Ready"] = { enable = true, spell = "Blessing of Might" },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player",
				auras = { "Blessing of Might", "Blessing of Wisdom", "Blessing of Kings", "Blessing of Sanctuary",
				"Greater Blessing of Might", "Greater Blessing of Wisdom", "Greater Blessing of Kings", "Greater Blessing of Sanctuary" }, },
		},	
	},
	["Seal Missing"] = {
		name = "Seal Missing", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, checkLevel = true, level = 4, isMounted = false, },
			["Spell Ready"] = { enable = true, spell = "Seal of Righteousness" },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player",
				auras = { "Seal of Justice", "Seal of Blood", "Seal of Righteousness", "Seal of Light",
				"Seal of Command", "Seal of Vengeance", "Seal of Corruption", "Seal of Wisdom", "Seal of the Martyr" }, },
		},	
	},
	["Change Aura!"] = {
		name = "Change Aura!", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, inCombat = true, },
			["Any Buffs"] = { enable = true, unit = "player", auras = { "Crusader Aura" }, },
		},	
		associatedSpell = "Crusader Aura",
	},
}
