﻿-- Priest

local BUFF = true
local DEBUFF = false
local p = Raven.ColorPalette

Raven.classSpells.PRIEST = {
	{ "Abolish Disease", BUFF, p.Green1, },
	{ "Blessed Recovery", BUFF, p.Brown3 },
	{ "Blessed Resilience", BUFF, p.Orange3 },
	{ "Body and Soul", BUFF, p.Green3, },
	{ "Borrowed Time", BUFF, p.Yellow3 },
	{ "Devouring Plague", DEBUFF, p.Purple3, school = "Shadow" },
	{ "Circle of Healing", nil, p.Yellow1, cooldown = true, school = "Holy" },
	{ "Desperate Prayer", nil, p.Orange1, cooldown = true, school = "Holy" },
	{ "Dispersion", BUFF, p.Purple1, cooldown = true, school = "Physical" },
	{ "Divine Aegis", BUFF, p.Brown2 },
	{ "Divine Hymn", BUFF, p.Orange3, cooldown = true, school = "Holy" },
	{ "Divine Spirit", BUFF, p.Blue3 },
	{ "Fade", BUFF, p.Cyan, cooldown = true, school = "Shadow" },
	{ "Fear Ward", BUFF, p.Orange2, cooldown = true, school = "Holy" },
	{ "Focused Casting", BUFF, p.Blue3 },
	{ "Focused Will", BUFF, p.Brown1 },
	{ "Grace", BUFF, p.Blue3 },
	{ "Guardian Spirit", BUFF, p.Blue2, cooldown = true, school = "Holy" },
	{ "Improved Spirit Tap", BUFF, p.Green3 },
	{ "Inner Fire", BUFF, p.Orange1 },
	{ "Inner Focus", BUFF, p.Gray, cooldown = true, school = "Physical" },
	{ "Inspiration", BUFF, p.Brown3, },
	{ "Holy Concentration", BUFF, p.Orange3 },
	{ "Holy Fire", DEBUFF, p.Yellow2, cooldown = true, school = "Holy" },
	{ "Hymn of Hope", BUFF, p.Gray, cooldown = true, school = "Holy" },
	{ "Levitate", BUFF, p.Gray },
	{ "Lightwell", nil, p.Yellow3, cooldown = true, school = "Holy" },
	{ "Mind Blast", nil, p.Yellow2, cooldown = true, school = "Shadow" },
	{ "Mind Control", DEBUFF, p.Orange3 },
	{ "Mind Flay", DEBUFF, p.Cyan, school = "Shadow" },
	{ "Mind Sear", BUFF, p.Purple3 },
	{ "Mind Soothe", DEBUFF, p.Purple2 },
	{ "Mind Vision", BUFF, p.Yellow3 },
	{ "Misery", BUFF, p.Green3},
	{ "Pain Suppression", BUFF, p.Gray, cooldown = true },
	{ "Penance", nil, p.Green3, cooldown = true, school = "Holy" },
	{ "Psychic Horror", DEBUFF, p.Purple3, cooldown = true, school = "Shadow" },
	{ "Psychic Scream", DEBUFF, p.Blue3, cooldown = true, school = "Shadow" },
	{ "Power Infusion", BUFF, p.Yellow1, cooldown = true, school = "Holy" },
	{ "Power Word: Shield", BUFF, p.Yellow3, cooldown = true, school = "Holy" },
	{ "Power Word: Fortitude", BUFF, p.Cyan },
	{ "Prayer of Fortitude", BUFF, p.Green1 },
	{ "Prayer of Mending", BUFF, p.Yellow2, cooldown = true, school = "Holy" },
	{ "Prayer of Shadow Protection", BUFF, p.Purple3 },
	{ "Prayer of Spirit", BUFF, p.Blue3 },
	{ "Renew", BUFF, p.Green2 },
	{ "Renewed Hope", BUFF, p.Orange1 },
	{ "Replenishment", BUFF, p.Blue1 },
	{ "Serendipity", BUFF, p.Blue1 },
	{ "Shackle Undead", DEBUFF, p.Orange2 },
	{ "Shadowfiend", nil, p.Purple3, cooldown = true, school = "Shadow" },
	{ "Shadowform", BUFF, p.Purple3 },
	{ "Shadow Protection", BUFF, p.Purple3 },
	{ "Shadow Weaving", BUFF, p.Purple2 },
	{ "Shadow Word: Death", nil, p.Red2, cooldown = true, school = "Shadow" },
	{ "Shadow Word: Pain", DEBUFF, p.Red3, school = "Shadow", lockout = true },
	{ "Silence", DEBUFF, p.Brown2, cooldown = true, school = "Shadow" },
	{ "Smite", nil, p.Green1, school = "Holy", lockout = true },
	{ "Spirit of Redemption", BUFF, p.Gray },
	{ "Spirit Tap", BUFF, p.Green2 },
	{ "Surge of Light", BUFF, p.Orange3 },
	{ "Vampiric Embrace", BUFF, p.Blue2 },
	{ "Vampiric Touch", DEBUFF, p.Purple3},
	{ "Weakened Soul", DEBUFF, p.Orange3},
}

Raven.classConditions.PRIEST = {
	["Fortitude Missing"] = {
		name = "Fortitude Missing", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, isMounted = false },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player", auras = { "Power Word: Fortitude", "Prayer of Fortitude" }, },
		},	
		associatedSpell = "Power Word: Fortitude",
	},
	["Spirit Missing"] = {
		name = "Spirit Missing", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, isMounted = false, checkLevel = true, level = 30, },
			["Spell Ready"] = { enable = true, spell = "Divine Spirit", },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player", auras = { "Divine Spirit", "Prayer of Spirit", "Fel Intelligence" }, },
		},	
		associatedSpell = "Divine Spirit",
	},
	["Shadow Protection!"] = {
		name = "Shadow Protection!", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, isMounted = false, },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player", auras = { "Shadow Protection", "Prayer of Shadow Protection" }, },
			["Spell Ready"] = { enable = true, spell = "Shadow Protection", },
		},	
		associatedSpell = "Shadow Protection",
	},
	["Vampiric Embrace!"] = {
		name = "Vampiric Embrace!", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, isMounted = false, },
			["All Buffs"] = { enable = true, unit = "player", auras = { "Shadowform" }, },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player", auras = { "Vampiric Embrace" }, },
			["Spell Ready"] = { enable = true, spell = "Vampiric Embrace", },
		},	
		associatedSpell = "Vampiric Embrace",
	},
	["Inner Fire!"] = {
		name = "Inner Fire!", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, inCombat = true, checkLevel = true, level = 12, },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player", auras = { "Inner Fire" }, },
			["Spell Ready"] = { enable = true, spell = "Inner Fire", },
		},	
		associatedSpell = "Inner Fire",
	},
	["Abolish Disease"] = {	
		name = "Abolish Disease", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, checkLevel = true, level = 30, },
			["Debuff Type"] = { enable = true, unit = "player", hasDebuff = "Disease", },
		},
		associatedSpell = "Abolish Disease",
	},
	["Cure Disease"] = {	
		name = "Cure Disease", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, checkLevel = true, level = 14, },
			["Debuff Type"] = { enable = true, unit = "player", hasDebuff = "Disease", },
		},
		dependencies = { ["Abolish Disease"] = false },
		associatedSpell = "Cure Disease",
	},
	["Dispel Magic"] = {	
		name = "Dispel Magic", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, checkLevel = true, level = 36, },
			["Debuff Type"] = { enable = true, unit = "player", hasDebuff = "Magic", },
		},	
		associatedSpell = "Dispel Magic",
	},
}
