﻿-- Shaman

local BUFF = true
local DEBUFF = false
local p = Raven.ColorPalette

Raven.classSpells.SHAMAN = {
	{ "Ancestral Healing", BUFF, p.Green2 },
	{ "Astral Recall", nil, p.Purple2, cooldown = true, school = "Nature" },
	{ "Astral Shift", BUFF, p.Purple3 },
	{ "Bloodlust", BUFF, p.Red1, cooldown = true, school = "Nature" },
	{ "Chain Lightning", nil, p.Blue1, cooldown = true, school = "Nature" },
	{ "Cleansing Totem", BUFF, p.Green3 },
	{ "Clearcasting", BUFF, p.Blue2 },
	{ "Cure Poison", nil, p.Green3 },
	{ "Cure Disease", nil, p.Cyan },
	{ "Earth Elemental Totem", BUFF, p.Brown2, cooldown = true, school = "Nature" },
	{ "Earth Shield", BUFF, p.Brown3 },
	{ "Earth Shock", nil, p.Yellow3, cooldown = true, school = "Nature" },
	{ "Earthbind", DEBUFF, p.Gray },
	{ "Earthbind Totem", BUFF, p.Gray, cooldown = true, school = "Nature" },
	{ "Earthliving", BUFF, p.Green1 },
	{ "Elemental Devastation", BUFF, p.Purple2 },
	{ "Elemental Mastery", BUFF, p.Purple3, cooldown = true, school = "Nature" },
	{ "Elemental Oath", BUFF, p.Blue3 },
	{ "Far Sight", BUFF, p.Orange2 },
	{ "Feral Spirit", nil, p.Cyan, cooldown = true, school = "Nature" },
	{ "Fire Elemental Totem", BUFF, p.Orange3, cooldown = true, school = "Fire" },
	{ "Fire Nova Totem", BUFF, p.Orange2, cooldown = true, school = "Fire" },
	{ "Fire Resistance", BUFF, p.Red3 },
	{ "Fire Resistance Totem", BUFF, p.Red3 },
	{ "Flame Shock", DEBUFF, p.Red3, cooldown = true, school = "Fire" },
	{ "Flametongue", BUFF, p.Orange1 },
	{ "Flametongue Totem", BUFF, p.Orange3 },
	{ "Flametongue Weapon", nil, p.Orange3, school = "Fire", lockout = true },
	{ "Flurry", BUFF, p.Red2 },
	{ "Freeze", DEBUFF, p.Blue1 },
	{ "Frost Resistance", BUFF, p.Blue2 },
	{ "Frost Resistance Totem", BUFF, p.Blue2 },
	{ "Frost Shock", DEBUFF, p.Cyan, cooldown = true, school = "Frost" },
	{ "Frostbrand", BUFF, p.Cyan },
	{ "Frostbrand Weapon", nil, p.Cyan, school = "Frost", lockout = true },
	{ "Ghost Wolf", BUFF, p.Purple3 },
	{ "Grounding Totem", BUFF, p.Purple2, cooldown = true, school = "Nature" },
	{ "Grounding Totem Effect", BUFF, p.Purple2 },
	{ "Healing Stream", BUFF, p.Cyan },
	{ "Healing Stream Totem", BUFF, p.Cyan },
	{ "Healing Way", BUFF, p.Green3 },
	{ "Heroism", BUFF, p.Orange2, cooldown = true, school = "Nature" },
	{ "Hex", DEBUFF, p.Green2, cooldown = true, school = "Nature" },
	{ "Lava Burst", nil, p.Red3, cooldown = true, school = "Fire" },
	{ "Lava Lash", BUFF, p.Red2, cooldown = true, school = "Fire" },
	{ "Lightning Bolt", nil, p.Blue1, school = "Nature", lockout = true },
	{ "Lightning Shield", BUFF, p.Blue2 },
	{ "Maelstrom Weapon", BUFF, p.Purple3 },
	{ "Magma Totem", BUFF, p.Red3 },
	{ "Mana Spring", BUFF, p.Purple3 },
	{ "Mana Spring Totem", BUFF, p.Purple3 },
	{ "Mana Tide Totem", BUFF, p.Blue3, cooldown = true, school = "Frost" },
	{ "Nature Resistance", BUFF, p.Brown1 },
	{ "Nature Resistance Totem", BUFF, p.Brown1 },
	{ "Nature's Swiftness", BUFF, p.Blue2, cooldown = true, school = "Physical" },
	{ "Reincarnation", nil, p.Red3, cooldown = true, school = "Nature" },
	{ "Riptide", BUFF, p.Blue2, cooldown = true, school = "Nature" },
	{ "Rockbiter", BUFF, p.Green2 },
	{ "Searing Totem", BUFF, p.Orange3 },
	{ "Sentry Totem", BUFF, p.Pink },
	{ "Shamanistic Rage", BUFF, p.Red1, cooldown = true, school = "Physical" },
	{ "Stoneclaw Effect", DEBUFF, p.Brown2 },
	{ "Stoneclaw Totem", BUFF, p.Brown2, cooldown = true, school = "Nature" },
	{ "Stoneskin", BUFF, p.Purple2 },
	{ "Stoneskin Totem", BUFF, p.Purple2, school = "Physical", lockout = true },
	{ "Stormstrike", BUFF, p.Blue1, cooldown = true, school = "Physical" },
	{ "Strength of Earth", BUFF, p.Yellow1 },
	{ "Strength of Earth Totem", BUFF, p.Yellow1 },
	{ "Thunderstorm", nil, p.Blue3, cooldown = true, school = "Nature" },
	{ "Tidal Force", BUFF, p.Blue2, cooldown = true, school = "Physical" },
	{ "Tidal Waves", BUFF, p.Cyan },
	{ "Totem of Wrath", BUFF, p.Red1 },
	{ "Tremor Totem", BUFF, p.Yellow3 },
	{ "Unleashed Rage", BUFF, p.Orange1 },
	{ "Water Breathing", BUFF, p.Cyan },
	{ "Water Shield", BUFF, p.Pink },
	{ "Water Walking", BUFF, p.Gray },
	{ "Wind Shear", nil, p.Gray, cooldown = true, school = "Nature" },
	{ "Windfury Totem", BUFF, p.Pink },
	{ "Windfury", BUFF, p.Gray },
	{ "Wrath of Air Totem", BUFF, p.Green3 },
}

Raven.classConditions.SHAMAN = {
	["Weapon Buff Missing"] = {
		name = "Weapon Buff Missing", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, isMounted = false },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player",
				auras = { "Earthliving", "Flametongue", "Frostbrand", "Rockbiter", "Windfury" }, },
		},	
	},
	["Shield Missing"] = {
		name = "Shield Missing", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, isMounted = false },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player", auras = { "Water Shield", "Lightning Shield", "Earth Shield" }, },
		},	
	},
	["Cure Poison"] = {	
		name = "Cure Poison", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, checkLevel = true, level = 16, },
			["Debuff Type"] = { enable = true, unit = "player", hasDebuff = "Poison", },
		},
		associatedSpell = "Cure Poison",
	},
	["Cure Disease"] = {	
		name = "Cure Disease", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, checkLevel = true, level = 22, },
			["Debuff Type"] = { enable = true, unit = "player", hasDebuff = "Disease", },
		},
		associatedSpell = "Cure Disease",
	},
}
