-- Warlock

local BUFF = true
local DEBUFF = false
local p = Raven.ColorPalette

Raven.classSpells.WARLOCK = {
	{ "Aftermath", DEBUFF, p.Orange1 },
	{ "Amplify Curse", BUFF, p.Blue3 },
	{ "Backdraft", BUFF, p.Yellow1 },
	{ "Backlash", BUFF, p.Orange3 },
	{ "Banish", DEBUFF, p.Blue2 },
	{ "Blood Pact", BUFF, p.Red1 },
	{ "Chaos Bolt", nil, p.Green3, cooldown = true, school = "Fire" },
	{ "Challenging Howl", nil, p.Orange1, cooldown = true, school = "Physical" },
	{ "Conflagrate", nil, p.Yellow2, cooldown = true, school = "Fire" },
	{ "Corruption", DEBUFF, p.Red3 },
	{ "Curse of Agony", DEBUFF, p.Yellow2, },
	{ "Curse of Doom", DEBUFF, p.Green2, cooldown = true, school = "Shadow" },
	{ "Curse of Exhaustion", DEBUFF, p.Gray },
	{ "Curse of Recklessness", DEBUFF, p.Orange3 },
	{ "Curse of the Elements", DEBUFF, p.Purple1 },
	{ "Curse of Tongues", DEBUFF, p.Orange1 },
	{ "Curse of Weakness", DEBUFF, p.Green3 },
	{ "Death Coil", DEBUFF, p.Yellow3, cooldown = true, school = "Shadow" },
	{ "Decimation", BUFF, p.Orange1 },
	{ "Demon Armor", BUFF, p.Pink },
	{ "Demon Charge", nil, p.Brown3, cooldown = true, school = "Physical" },
	{ "Demon Skin", BUFF, p.Pink },
	{ "Demonic Circle: Teleport", nil, p.Green3, cooldown = true, school = "Shadow" },
	{ "Demonic Empowerment", BUFF, p.Orange2, cooldown = true, school = "Shadow" },
	{ "Demonic Knowledge", BUFF, p.Red3 },
	{ "Demonic Pact", BUFF, p.Gray },
	{ "Detect Invisibility", BUFF, p.Cyan },
	{ "Enslave Demon", DEBUFF, p.Cyan },
	{ "Eradication", BUFF, p.Purple2 },
	{ "Eye of Kilrogg", BUFF, p.Brown1 },
	{ "Fear", DEBUFF, p.Gray },
	{ "Fel Armor", BUFF, p.Green1 },
	{ "Fel Domination", nil, p.Pink, cooldown = true, school = "Shadow" },
	{ "Fel Intelligence", BUFF, p.Purple1 },
	{ "Haunt", DEBUFF, p.Blue3, cooldown = true, school = "Shadow" },
	{ "Hellfire", BUFF, p.Red2 },
	{ "Howl of Terror", DEBUFF, p.Yellow2, cooldown = true, school = "Shadow" },
	{ "Immolate", DEBUFF, p.Orange2 },
	{ "Immolation Aura", BUFF, p.Orange1, cooldown = true, school = "Fire" },
	{ "Inferno", DEBUFF, p.Orange3, school = "Shadow" },
	{ "Master Demonologist", BUFF, p.Purple3 },
	{ "Metamorphosis", BUFF, p.Purple1, cooldown = true, school = "Physical" },
	{ "Molten Core", BUFF, p.Orange1 },
	{ "Nether Protection", BUFF, p.Green3 },
	{ "Pyroclasm", BUFF, p.Red3 },
	{ "Rain of Fire", DEBUFF, p.Red2 },
	{ "Ritual of Doom", nil, p.Yellow3, cooldown = true, school = "Shadow" },
	{ "Ritual of Souls", nil, p.Purple1, cooldown = true, school = "Shadow" },
	{ "Ritual of Summoning", nil, p.Purple3, cooldown = true, school = "Shadow" },
	{ "Searing Pain", nil, p.Red1, school = "Fire", lockout = true },
	{ "Seed of Corruption", DEBUFF, p.Purple2 },
	{ "Seduction", DEBUFF, p.Red1 },
	{ "Shadow Bolt", nil, p.Purple3, school = "Shadow", lockout = true },
	{ "Shadow Cleave", nil, p.Orange1, cooldown = true, school = "Shadow" },
	{ "Shadow Embrace", BUFF, p.Blue3 },
	{ "Shadow Trance", BUFF, p.Purple3 },
	{ "Shadow Vulnerability", BUFF, p.Blue2 },
	{ "Shadow Ward", BUFF, p.Purple2, cooldown = true, school = "Shadow" },
	{ "Shadowburn", DEBUFF, p.Gray, cooldown = true, school = "Shadow" },
	{ "Shadowflame", DEBUFF, p.Purple3, cooldown = true, school = "Shadow" },
	{ "Shadowfury", DEBUFF, p.Purple2, cooldown = true, school = "Shadow" },
	{ "Siphon Life", DEBUFF, p.Green3 },
	{ "Soul Link", BUFF, p.Gray },
	{ "Soulshatter", nil, p.Cyan, cooldown = true, school = "Shadow" },
	{ "Soulstone Resurrection", BUFF, p.Red3 },
	{ "Unstable Affliction", DEBUFF, p.Yellow1 },
	{ "Unending Breath", BUFF, p.Blue1 },
	{ "Lesser Firestone", BUFF, p.Red3 },
	{ "Firestone", BUFF, p.Red3 },
	{ "Major Firestone", BUFF, p.Red3 },
	{ "Greater Firestone", BUFF, p.Red3 },
	{ "Fel Firestone", BUFF, p.Red3 },
	{ "Master Firestone", BUFF, p.Red3 },
	{ "Grand Firestone", BUFF, p.Red3 },
	{ "Spellstone", BUFF, p.Blue1 },
	{ "Major Spellstone", BUFF, p.Blue1 },
	{ "Greater Spellstone", BUFF, p.Blue1 },
	{ "Master Spellstone", BUFF, p.Blue1 },
	{ "Demonic Spellstone", BUFF, p.Blue1 },
	{ "Grand Spellstone", BUFF, p.Blue1 },
}

Raven.classConditions.WARLOCK = {
	["Armor Missing"] = {
		name = "Armor Missing", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, isMounted = false, isFishing = false },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player", auras = { "Demon Skin", "Demon Armor", "Fel Armor" }, },
		},	
		associatedSpell = "Fel Armor",
	},
	["Weapon Buff Missing"] = {
		name = "Weapon Buff Missing", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, isMounted = false, isFishing = false, hasMainHand = true, levelMainHand = 2 },
			["Spell Ready"] = { enable = true, spell = "Create Firestone" },
			["Any Buffs"] = { enable = true, toggle = true, unit = "player",
				auras = { "Lesser Firestone", "Firestone", "Major Firestone", "Greater Firestone", "Fel Firestone", "Master Firestone", "Grand Firestone", 
					"Spellstone", "Major Spellstone", "Greater Spellstone", "Master Spellstone", "Demonic Spellstone", "Grand Spellstone" }, },
		},	
	},
}

